
package de.ivu.elect.business.veranstaltung.control;

import java.util.List;

import de.ivu.elect.business.dokumente.control.ElectDokumentContext;
import de.ivu.elect.business.veranstaltung.entity.Teilnahme;

public class VeranstaltungDokumentContext extends ElectDokumentContext {

  private static final long serialVersionUID = 1L;

  private List<Teilnahme> teilnahmen;

  public VeranstaltungDokumentContext(ElectDokumentContext other, /* Damit im View keine java.util.List importiert werden muss (WELD-BUG) */ Object teilnahmen) {
    super(other);

    this.teilnahmen = (List<Teilnahme>) teilnahmen;
  }

  public List<Teilnahme> getTeilnahmen() {
    return teilnahmen;
  }

  public void setTeilnahmen(List<Teilnahme> teilnahmen) {
    this.teilnahmen = teilnahmen;
  }

  public void clear() {
    teilnahmen = null;
  }
}
